/* Top bar */
body > nav {
    align-items: center;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    height: $menu-height;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 10;
}

body > nav a {
    padding: 12px 0;
    text-decoration: none;
}

body > nav a:hover {
    text-decoration: underline;
}

/* Site title */

.sitetitle {
    font-size: 25px;
    margin-left: 40px;
}

/* Menu icon */
.menu-toggle {
    cursor: pointer;
    display: none;
    height: 60px;
    margin-right: 1px;
    padding: 0 19px;
    position: relative;
    width: 22px;
}

.menu-icon, .menu-icon::before, .menu-icon::after {
    background-color: $text-color;
    content: "";
    display: inline-block;
    height: 2px;
    left: 0;
    position: absolute;
    transition: all 0.3s ease;
    width: 22px;

    @media(prefers-color-scheme: dark) {
      background-color: $dark-text-color;
    }
}

.homepage {
  & .menu-icon, & .menu-icon::before, & .menu-icon::after {
    @media(prefers-color-scheme: dark) {
      background-color: $text-color;
    }
  }
}

.menu-icon {
    left: 50%;
    transform: translate(-50%,-50%);
    top: 50%;
}

.menu-icon::before {
    top: -6px;
}

.menu-icon::after {
    top: 6px;
}

nav.toggled {
  background: $background-color;

  @media(prefers-color-scheme: dark) {
    background: $dark-background-color;
  }

  .menu-icon {
    height: 0;
  }

  .menu-icon::before {
    top: 0;
    transform: rotate(-45deg);
  }

  .menu-icon::after {
    top: 0;
    transform: rotate(45deg);
  }

  &.homepage {
    & .menu-icon, & .menu-icon::before, & .menu-icon::after {
      @media(prefers-color-scheme: dark) {
        background-color: $dark-text-color;
      }
    }
  }
}

/* Navigation */

nav ul {
    align-items: center;
    display: flex;
    list-style: none;
    margin: 0;
    margin-right: 20px;
    padding-left: 20px;

    a {
      // Necessary so that umlaut dots are shown
      line-height: 32px;

      @media(prefers-color-scheme: dark) {
        color: $dark-text-color;
      }
    }
}

.homepage ul a {
  @media(prefers-color-scheme: dark) {
    color: $text-color;
  }
}

nav ul li {
    overflow: hidden;
    padding-right: 20px;
}

@media all and (max-width: $menu-breakpoint) {
  .sitetitle {
    margin-left: 20px;
  }

  .menu-toggle {
    display: initial;
  }

  nav ul {
    background-color: $background-color;
    margin-right: 0;
    padding: 0;
    flex-flow: column wrap;
    justify-content: center;
    width: 100%;
    text-align: center;

    @media(prefers-color-scheme: dark) {
      background-color: $dark-background-color;
    }

    a {
      @media(prefers-color-scheme: dark) {
        color: $dark-text-color;
      }
    }
  }

  .homepage ul {
    background-color: $background-color;

    @media(prefers-color-scheme: dark) {
      background-color: $dark-background-color;
    }

    a {
      @media(prefers-color-scheme: dark) {
        color: $dark-text-color;
      }
    }
  }

  nav ul li {
    display: flex;
    flex-direction: column;
    height: 0px;
    justify-content: center;
    opacity: 0;
    padding: 0px;
    transition: all 0.3s ease;
    width: 100%;
  }

  nav ul.visible li {
    height: 40px;
    opacity: 1;
  }
}
